Skip to content

Get Webhook Subscription
Alpha

Request

Retrieve details of a specific webhook subscription.

Security
OAuth2(Required scopes: webhook.read)
Path
subscriptionIdstringrequired

The unique identifier of the subscription.

curl -i -X GET \
  'https://api.understory.io/v1/webhook-subscriptions/{subscriptionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstringrequired

The unique identifier of the subscription.

urlstringrequired

The URL to send webhook events to.

event_typesArray of stringsrequired

List of event types this subscription is subscribed to.

statestringrequired

Whether the subscription currently delivers events.

  • ENABLED — events are delivered to the subscription's URL.
  • DISABLED — events are not delivered; the subscription is paused.
Enum:"ENABLED""DISABLED"
created_atstring, (date-time)required

Timestamp of when the subscription was created.

updated_atstring, (date-time)required

Timestamp of when the subscription was last updated.

metadataobject

Additional metadata for the subscription.

This property lets you add custom data to the subscription. The key has a limit of 40 characters and the value has a limit of 500 characters.

Response
{ "id": "string", "url": "string", "event_types": [ "string" ], "state": "ENABLED", "metadata": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }